Skip to main content
GET
/
billing
/
usage
Get usage
curl --request GET \
  --url https://api.nova-cloud.ai/billing/usage \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "id": "<string>",
      "vm_id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "gpu_seconds": 123,
      "storage_gb": 123,
      "network_bytes": 123,
      "gpu_cost": 123,
      "storage_cost": 123,
      "network_cost": 123,
      "total_cost": 123
    }
  ],
  "total_cost": 123,
  "total_hours": 123,
  "period_start": "<string>",
  "period_end": "<string>",
  "vm_breakdown": [
    {
      "vm_id": "<string>",
      "vmid": 123,
      "gpu_model": "<string>",
      "hours": 123,
      "cost": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Query Parameters

start_date
string<date>

Start date (ISO 8601: YYYY-MM-DD)

end_date
string<date>

End date (ISO 8601: YYYY-MM-DD)

Response

200 - application/json

Usage details

logs
object[]
total_cost
number
total_hours
number
period_start
string
period_end
string
vm_breakdown
object[]